BasedOnStyle: LLVM

# 语言: None, Cpp, Java, JavaScript, ObjC, Proto, TableGen, TextProto
Language: Cpp

# tab宽度
TabWidth: 4

# 使用tab字符: Never, ForIndentation, ForContinuationAndIndentation, Always
UseTab: Never

# 每行字符的限制，0表示没有限制
ColumnLimit: 150

# 访问说明符(public、private等)的偏移
AccessModifierOffset: -4

# 缩进case标签
IndentCaseLabels: false

# 要使用的预处理器指令缩进样式
IndentPPDirectives: BeforeHash

# 缩进宽度
IndentWidth: 4

# 函数返回类型换行时，缩进函数声明或函数定义的函数名
IndentWrappedFunctionNames: false

# 连续赋值时，对齐所有等号
AlignConsecutiveAssignments: true

# 连续声明时，对齐所有声明的变量名
AlignConsecutiveDeclarations: true

# 用于在使用反斜杠换行中对齐反斜杠的选项
AlignEscapedNewlines: Left
